CREATE OR REPLACE PACKAGE BODY "LFILE" AS

   FUNCTION fopen(fileName VARCHAR2, filemode VARCHAR2 := 'a') RETURN UTL_FILE.FILE_TYPE AS
   BEGIN
      RETURN UTL_FILE.FOPEN(TEMP_DIRECTORY, fileName || TRACE_EXTENSION, filemode);
   END;

   PROCEDURE fclose(fileHandle IN OUT UTL_FILE.FILE_TYPE) AS
   BEGIN
      UTL_FILE.FCLOSE(fileHandle);
   END;

   PROCEDURE fwrite(fileHandle IN OUT UTL_FILE.FILE_TYPE, outputStr VARCHAR2) AS
   BEGIN
      UTL_FILE.PUT_LINE(fileHandle, outputStr);
   END;

   PROCEDURE fput(fileName VARCHAR2, buffer VARCHAR2) AS
      outFile UTL_FILE.FILE_TYPE;
   BEGIN
      RETURN;
      outFile := UTL_FILE.FOPEN(TEMP_DIRECTORY, fileName || TRACE_EXTENSION, 'a', 32767);
      UTL_FILE.PUT_LINE(outFile, buffer);
      UTL_FILE.FCLOSE(outFile);
   END;

   PROCEDURE fput_params(fileName VARCHAR2, linesBefore PLS_INTEGER, headerLine VARCHAR2, buffer VARCHAR2) AS
      outFile UTL_FILE.FILE_TYPE;
   BEGIN
      RETURN;

      outFile := UTL_FILE.FOPEN(TEMP_DIRECTORY, fileName || TRACE_EXTENSION, 'a', 32767);

      IF linesBefore = 0 THEN
          UTL_FILE.PUT_LINE(outFile, buffer || headerLine);
      ELSE
          UTL_FILE.NEW_LINE(outFile, linesBefore);
          UTL_FILE.PUT_LINE(outFile, headerLine);
          UTL_FILE.PUT_LINE(outFile, buffer);
      END IF;

      UTL_FILE.FCLOSE(outFile);
   END;
END;
/
