CREATE OR REPLACE PACKAGE PMO_DB2M AS

SC_STATE PLS_INTEGER NOT NULL := 0;
CURRENT_ID VARCHAR2(32);
CURRENT_STATE PLS_INTEGER NOT NULL := 0;

TYPE REF_CURSOR IS REF CURSOR;

RETURN_ERROR_EXCEPTION   EXCEPTION;

-- Please dont put any macro in this file, all macros are defined in pmo_defines.h file

/*
general : definition of host variable data types and other DB2 related state code
*/

SC_SQL_SUCCESS CONSTANT PLS_INTEGER := 0;
SC_SQL_SUCCESS_WITH_INFO CONSTANT PLS_INTEGER := 1;
SC_SQL_NO_DATA CONSTANT PLS_INTEGER := 100;
SC_SQL_ERROR CONSTANT PLS_INTEGER := -1;

-- force these to be text types so that they are replaced in SQL


END;
/


