create or replace package PMO_Triggers is

    TYPE element_id_Count_Table IS TABLE OF BINARY_INTEGER
    INDEX BY VARCHAR2(32);

    TYPE element_id_Varchar2_Table IS TABLE OF varchar2(4000)
    INDEX BY VARCHAR2(32);
    
    TYPE alertsRowsTable IS TABLE OF Alerts%ROWTYPE
    INDEX BY PLS_INTEGER;

    element_id_Count     element_id_Count_Table;
    element_id_Varchar2  element_id_Varchar2_Table;
    
    alertsRows alertsRowsTable;
end PMO_Triggers;
/
