WHENEVER SQLERROR EXIT SQL.SQLCODE
SET ECHO ON

prompt Enter "SYS" password
define sysp=&SYS_PASS

prompt Enter "Owner" name and password
define own=&OBJ_OWNER
define ownp=&OBJ_OWNER_PASS

prompt Enter "Connected User" name
define con=&CON_USER
-- define conp=&CON_PASS

conn sys/&sysp as sysdba

spool CreateUserRole.log

-- Create PMO_USER_ROLE
DROP ROLE PMO_USER_ROLE;
CREATE ROLE PMO_USER_ROLE;
GRANT PMO_USER_ROLE TO &con;

spool off
spool CreatePmoSecu.log

conn &own/&ownp

DECLARE
-- XaiUseTabPriDeCheck
cursor curtab is select 'GRANT UPDATE,INSERT,DELETE,SELECT ON '|| table_name || ' TO PMO_USER_ROLE' as COMMAND
    from user_tables order by table_name;  
cursor curlib is select 'GRANT EXECUTE ON '||object_name|| ' TO PMO_USER_ROLE' as COMMAND
    from user_objects where object_type in ('FUNCTION','PACKAGE','TYPE','PROCEDURE') 
    and status='VALID';
cursor curseq is select 'GRANT SELECT ON '||object_name|| ' TO PMO_USER_ROLE' as COMMAND
    from user_objects where object_type = 'SEQUENCE';

BEGIN
for tabrec in curtab loop
    execute immediate tabrec.command;
end loop;
for librec in curlib loop
    execute immediate librec.command;    	
end loop;
for seqrec in curseq loop
    execute immediate seqrec.command;
end loop;
commit;

END;
/
spool off;
exit;
