
DECLARE
cursor curcode is select 'DROP '||object_type|| ' '||object_name as COMMAND
	from user_objects 
	where object_type in ('FUNCTION','PACKAGE','PACKAGE BODY'); 
BEGIN
    for coderec in curcode loop
        begin
    		execute immediate coderec.command;    	
    	exception 
    		when others then null; 
    	end;
    end loop;      
    commit;
END;
/