-- already in pmo_sqlprep.h : #include "pmo_db2m.h"

Prompt == FUNCTION SP_GET_VERSION ==
CREATE OR REPLACE FUNCTION SP_GET_VERSION RETURN PMO_DB2M.REF_CURSOR
AS
   h_version VARCHAR2(32);
-- Declare Cursors
   resultSet PMO_DB2M.REF_CURSOR;
BEGIN
   IF ALLTRACES.TRACE_ENABLED AND ALLTRACES.CHECK_PARAMS('SP_GET_VERSION') THEN 
      LFILE.FPUT_PARAMS('AllTrace', ALLTRACES.LINES_BEFORE_PARAMS('SP_GET_VERSION'), '-- ' || SYSTIMESTAMP, ':r := SP_GET_VERSION();');
   END IF; 

   IF ALLTRACES.TRACE_ENABLED AND ALLTRACES.CHECK_TRACE(1, 'SP_GET_VERSION', 11+1) THEN 
      LFILE.FPUT('AllTrace', '               ENTER: SP_GET_VERSION(12) : version.sql(15) : ' || SYSTIMESTAMP);
   END IF; 

   h_version := PMO_CNST.SC_VERSION;
   
   IF ALLTRACES.TRACE_ENABLED AND ALLTRACES.CHECK_TRACE(4, 'SP_GET_VERSION', 17+1) THEN 
      LFILE.FPUT('AllTrace', '       RETURN_STATUS: SP_GET_VERSION(18) : version.sql(21) : ' || SYSTIMESTAMP || ' ' || 'STATE: ' || COALESCE(TO_CHAR(0), 'NULL') || ' ID: ' || '''' || h_version || '''');
   END IF; 
   PMODEFINES.PMO_RETURN_STATUS(0, h_version);
   
   
EXCEPTION
   WHEN PMO_DB2M.RETURN_ERROR_EXCEPTION THEN
      IF ALLTRACES.TRACE_ENABLED AND ALLTRACES.CHECK_TRACE(16, 'SP_GET_VERSION', 25+1) THEN 
         LFILE.FPUT('AllTrace', '           EXCEPTION: SP_GET_VERSION(26) : version.sql(29) : ' || SYSTIMESTAMP);
         LFILE.FPUT('AllTrace',                         'RETURN_ERROR_EXCEPTION : STATE: ' || PMO_DB2M.CURRENT_STATE || ' ID: ' || PMO_DB2M.CURRENT_ID);
      END IF; 
      OPEN resultSet
         FOR SELECT PMO_DB2M.CURRENT_STATE "ERROR" ,
         PMO_DB2M.CURRENT_ID "ID"
         FROM DUAL;
      RETURN resultSet;
   WHEN OTHERS THEN
   BEGIN
      PMO_DB2M.SC_STATE := SQLCODE;
   IF ALLTRACES.TRACE_ENABLED AND ALLTRACES.CHECK_TRACE(16, 'SP_GET_VERSION', 37+1) THEN 
      LFILE.FPUT('AllTrace', '           EXCEPTION: SP_GET_VERSION(38) : version.sql(41) : ' || SYSTIMESTAMP);
      LFILE.FPUT('AllTrace',                         'SQLCODE: ' || SQLCODE || ' SQLERR: ' || SubStr(SQLERRM, 1, 500));
   END IF; 
      OPEN resultSet
         FOR SELECT -9999 "ERROR" ,
         PMO_DB2M.CURRENT_ID "ID"
         FROM DUAL;
      RETURN resultSet;
   END;
END;
/
SHOW ERRORS FUNCTION SP_GET_VERSION;
ALTER FUNCTION SP_GET_VERSION COMPILE DEBUG;

