CREATE OR REPLACE PACKAGE ROLLUPDATES AS

g_h_project_rank VARCHAR2(200);
g_h_rank VARCHAR2(200);
g_h_element_id VARCHAR2(32);
g_h_resource_id VARCHAR2(32);
g_h_parent_id VARCHAR2(32);
g_h_previous_parent_id VARCHAR2(32);
g_h_project_id VARCHAR2(32);
g_h_task_assignment_id VARCHAR2(32);
g_h_project_start_finish_date VARCHAR2(10);
g_h_start_finish_date VARCHAR2(10);
g_h_start_finish_duration PLS_INTEGER := 0;
g_h_finish_start_date VARCHAR2(10);
g_h_transfer_flag VARCHAR2(1);
g_h_depend_flag VARCHAR2(1);
g_h_a_cri_count PLS_INTEGER := 0;
g_h_a_req_count PLS_INTEGER := 0;
g_h_wbs_assigned PLS_INTEGER := 0;
g_h_assign_names VARCHAR2(2048);
g_h_rec_status VARCHAR2(1);
g_h_pa_timephase VARCHAR2(1);

g_h_actual_start VARCHAR2(26);
g_h_actual_finish VARCHAR2(26);
g_h_sched_start VARCHAR2(26);
g_h_sched_finish VARCHAR2(26);
g_h_planned_start VARCHAR2(26);
g_h_planned_finish VARCHAR2(26);
g_h_forecast_start VARCHAR2(26);
g_h_forecast_finish VARCHAR2(26);
g_h_proposed_start VARCHAR2(26);
g_h_proposed_finish VARCHAR2(26);
g_h_unresolved_start VARCHAR2(26);
g_h_unresolved_finish VARCHAR2(26);
g_h_start_dt VARCHAR2(26);
g_h_finish_dt VARCHAR2(26);
g_h_baseline_start VARCHAR2(26);
g_h_baseline_finish VARCHAR2(26);
g_h_baseline3_start VARCHAR2(26);
g_h_baseline3_finish VARCHAR2(26);
g_h_max_mp_status_dt VARCHAR2(26);
g_h_min_actual_start VARCHAR2(26);
g_h_max_actual_finish VARCHAR2(26);
g_h_min_sched_start VARCHAR2(26);
g_h_max_sched_finish VARCHAR2(26);
g_h_min_planned_start VARCHAR2(26);
g_h_max_planned_finish VARCHAR2(26);
g_h_min_forecast_start VARCHAR2(26);
g_h_max_forecast_finish VARCHAR2(26);
g_h_min_proposed_start VARCHAR2(26);
g_h_max_proposed_finish VARCHAR2(26);
g_h_min_unresolved_start VARCHAR2(26);
g_h_max_unresolved_finish VARCHAR2(26);
g_h_min_start_dt VARCHAR2(26);
g_h_max_finish_dt VARCHAR2(26);
g_h_min_baseline_start VARCHAR2(26);
g_h_max_baseline_finish VARCHAR2(26);
g_h_default_min_start VARCHAR2(26);
g_h_default_max_finish VARCHAR2(26);
g_h_approved_start VARCHAR2(26);
g_h_approved_finish VARCHAR2(26);
g_h_est_start VARCHAR2(26);
g_h_est_finish VARCHAR2(26);
g_h_high_est_start VARCHAR2(26);
g_h_high_est_finish VARCHAR2(26);
g_h_low_est_start VARCHAR2(26);
g_h_low_est_finish VARCHAR2(26);
g_h_level_last_change_dt VARCHAR2(26);
g_h_max_level_last_change_dt VARCHAR2(26);
g_h_bit_flag VARCHAR2(1);
g_h_rec_user VARCHAR2(32);
g_h_temp_start_date VARCHAR2(26);
g_h_temp_finish_date VARCHAR2(26);
g_h_last_submitted VARCHAR2(26);

g_h_AF_count PLS_INTEGER := 0;
g_h_child_count PLS_INTEGER := 0;
g_h_assign_count PLS_INTEGER := 0;
g_h_labor_code_count PLS_INTEGER := 0;
g_h_assign_bit PLS_INTEGER := 0;
g_h_est_effort PLS_INTEGER := 0;
g_h_project_rollup_bit PLS_INTEGER := 0;
g_h_rollup_bit PLS_INTEGER := 0;
g_h_temp_rollup_bit PLS_INTEGER := 0;
g_h_parent_rollup_bit PLS_INTEGER := 0;
g_h_budget_rollup_bit PLS_INTEGER := 0;
g_h_timephased_bit PLS_INTEGER := 0;
g_h_timephased_project PLS_INTEGER := 0;
g_h_rollup_flag PLS_INTEGER := 0;
g_h_type_id PLS_INTEGER := 0;
g_h_type_assn PLS_INTEGER := 0;
g_h_rec_flag PLS_INTEGER := 0;
g_h_SD PLS_INTEGER := 0;
g_h_FD PLS_INTEGER := 0;
g_h_min_SD PLS_INTEGER := 0;
g_h_max_FD PLS_INTEGER := 0;

g_h_constraint_dt_old VARCHAR2(26);
g_h_constraint_dt VARCHAR2(26);
g_h_constraint_type_old PLS_INTEGER := 0;
g_h_constraint_type PLS_INTEGER := 0;
g_h_level_start VARCHAR2(26);
g_h_level_state PLS_INTEGER := 0;
g_h_min_level_state PLS_INTEGER := 0;
g_h_keep_level_state PLS_INTEGER := 0;

g_h_level_id PLS_INTEGER := 0;
g_h_duration PLS_INTEGER := 0;
g_h_sum_duration NUMBER(19) := 0;
g_h_sum_milestone_percent NUMBER(19) := 0;
g_h_sum_work_percent NUMBER(19) := 0;
g_h_milestone_effort NUMBER(19) := 0;
g_h_milestone_duration NUMBER(19) := 0;

g_h_actual_duration PLS_INTEGER := 0;
g_h_sum_actual_duration PLS_INTEGER := 0;
g_h_new_actual_duration PLS_INTEGER := 0;
g_h_sched_duration PLS_INTEGER := 0;
g_h_sum_sched_duration PLS_INTEGER := 0;
g_h_new_sched_duration PLS_INTEGER := 0;
g_h_planned_duration PLS_INTEGER := 0;
g_h_forecast_duration PLS_INTEGER := 0;
g_h_proposed_duration PLS_INTEGER := 0;
g_h_unresolved_duration PLS_INTEGER := 0;
g_h_baseline_duration PLS_INTEGER := 0;
g_h_milestone_percent_old PLS_INTEGER := 0;
g_h_milestone_percent PLS_INTEGER := 0;
g_h_work_percent_old PLS_INTEGER := 0;
g_h_work_percent PLS_INTEGER := 0;
g_h_sched_effort PLS_INTEGER := 0;
g_h_planned_effort PLS_INTEGER := 0;
g_h_forecast_effort PLS_INTEGER := 0;
g_h_proposed_effort PLS_INTEGER := 0;
g_h_baseline_effort PLS_INTEGER := 0;
g_h_effort PLS_INTEGER := 0;
g_h_etc PLS_INTEGER := 0;
g_h_variance PLS_INTEGER := 0;
g_h_actual_variance PLS_INTEGER := 0;
g_h_forecast_variance PLS_INTEGER := 0;
g_h_baseline_variance_old PLS_INTEGER := 0;
g_h_baseline_variance PLS_INTEGER := 0;
g_h_project_minute_per_day PLS_INTEGER := 0;
g_h_minute_per_day PLS_INTEGER := 0;
g_h_approved_duration PLS_INTEGER := 0;
g_h_est_duration PLS_INTEGER := 0;
g_h_high_est_duration PLS_INTEGER := 0;
g_h_low_est_duration PLS_INTEGER := 0;
g_h_stage_id PLS_INTEGER := 0;
g_h_level_lock PLS_INTEGER := 0;
g_h_changed_flag PLS_INTEGER := 0;
g_h_baseline3_start_variance PLS_INTEGER := 0;
g_h_baseline3_finish_variance PLS_INTEGER := 0;

g_h_pa_flag PLS_INTEGER := 0;
g_h_billable PLS_INTEGER := 0;
g_h_auto_flag PLS_INTEGER := 0;
g_h_ass_auto_flag PLS_INTEGER := 0;
g_h_capital_expense PLS_INTEGER := 0;
g_h_ass_capital_expense PLS_INTEGER := 0;
g_h_baseline_work_total PLS_INTEGER := 0;
g_h_work_total PLS_INTEGER := 0;
g_h_billable_work_total PLS_INTEGER := 0;
g_h_regular_total PLS_INTEGER := 0;
g_h_special_total PLS_INTEGER := 0;
g_h_billable_regular_total PLS_INTEGER := 0;
g_h_billable_special_total PLS_INTEGER := 0;
g_h_regular_cost NUMBER := 0;
g_h_regular_rate NUMBER := 0;
g_h_baseline_cost NUMBER := 0;
g_h_baseline_revenue NUMBER := 0;
g_h_baseline_saving NUMBER := 0;
g_h_prob_amount NUMBER := 0;
g_h_paid_todate NUMBER := 0;
g_h_r_prob_amount NUMBER := 0;
g_h_r_paid_todate NUMBER := 0;
g_h_s_prob_amount NUMBER := 0;
g_h_s_paid_todate NUMBER := 0;
g_h_actual_cost NUMBER := 0;
g_h_ass_paid_todate NUMBER := 0;
g_h_ass_actual_cost NUMBER := 0;
g_h_r_actual_cost NUMBER := 0;
g_h_s_actual_cost NUMBER := 0;
g_h_sched_cost_old NUMBER := 0;
g_h_sched_cost NUMBER := 0;
g_h_ass_sched_cost NUMBER := 0;
g_h_r_sched_cost NUMBER := 0;
g_h_s_sched_cost NUMBER := 0;
g_h_planned_cost NUMBER := 0;
g_h_ass_planned_cost NUMBER := 0;
g_h_planned_revenue NUMBER := 0;
g_h_planned_saving NUMBER := 0;
g_h_forecast_cost NUMBER := 0;
g_h_ass_forecast_cost NUMBER := 0;
g_h_r_forecast_cost NUMBER := 0;
g_h_s_forecast_cost NUMBER := 0;
g_h_proposed_cost NUMBER := 0;
g_h_proposed_revenue NUMBER := 0;
g_h_proposed_saving NUMBER := 0;

g_h_est_prob_amount_total NUMBER := 0;
g_h_est_total NUMBER := 0;
g_h_est_actual_total NUMBER := 0;
g_h_est_etc_total NUMBER := 0;
g_h_est_paid_todate_total NUMBER := 0;
g_h_contingency_total NUMBER := 0;
g_h_contingency_etc_total NUMBER := 0;
g_h_ass_est_cost NUMBER := 0;
g_h_r_est_prob_amount_total NUMBER := 0;
g_h_r_est_total NUMBER := 0;
g_h_r_est_actual_total NUMBER := 0;
g_h_r_est_etc_total NUMBER := 0;
g_h_r_est_paid_todate_total NUMBER := 0;
g_h_r_contingency_total NUMBER := 0;
g_h_r_contingency_etc_total NUMBER := 0;
g_h_s_est_prob_amount_total NUMBER := 0;
g_h_s_est_total NUMBER := 0;
g_h_s_est_actual_total NUMBER := 0;
g_h_s_est_etc_total NUMBER := 0;
g_h_s_est_paid_todate_total NUMBER := 0;
g_h_s_contingency_total NUMBER := 0;
g_h_s_contingency_etc_total NUMBER := 0;
g_h_est_prob_amount NUMBER := 0;
g_h_est_budget NUMBER := 0;
g_h_est_actual NUMBER := 0;
g_h_est_etc NUMBER := 0;
g_h_est_paid_todate NUMBER := 0;
g_h_contingency_budget NUMBER := 0;
g_h_contingency_etc NUMBER := 0;
g_h_r_est_prob_amount NUMBER := 0;
g_h_r_est_budget NUMBER := 0;
g_h_r_est_effort NUMBER := 0;

g_h_c_est_budget NUMBER := 0;
g_h_c_est_effort NUMBER := 0;
g_h_e_est_budget NUMBER := 0;
g_h_e_est_effort NUMBER := 0;

g_h_r_est_actual NUMBER := 0;
g_h_r_est_etc NUMBER := 0;
g_h_r_est_paid_todate NUMBER := 0;
g_h_r_contingency_budget NUMBER := 0;
g_h_r_contingency_etc NUMBER := 0;
g_h_s_est_prob_amount NUMBER := 0;
g_h_s_est_budget NUMBER := 0;
g_h_s_est_actual NUMBER := 0;
g_h_s_est_etc NUMBER := 0;
g_h_s_est_paid_todate NUMBER := 0;
g_h_s_contingency_budget NUMBER := 0;
g_h_s_contingency_etc NUMBER := 0;
g_h_baseline_regular_cost NUMBER := 0;
g_h_budget_flag PLS_INTEGER := 0;
g_h_ass_budget_flag PLS_INTEGER := 0;
g_h_budget_id VARCHAR2(32);
g_h_ass_budget_id VARCHAR2(32);
g_h_chargecode_flag PLS_INTEGER := 0;
g_h_chargecode_id VARCHAR2(32);
g_h_ass_chargecode_id VARCHAR2(32);
g_h_eac NUMBER := 0;
g_h_ev_etc NUMBER := 0;
g_h_eac_forecast NUMBER := 0;
g_h_ev_etc_forecast NUMBER := 0;
g_h_bac NUMBER := 0;
g_h_bcws NUMBER := 0;
g_h_bcwp NUMBER := 0;
g_h_acwp NUMBER := 0;

g_h_est_hours NUMBER := 0;
g_h_est_actual_hours NUMBER := 0;
g_h_est_hours_etc NUMBER := 0;
g_h_r_est_hours NUMBER := 0;
g_h_r_est_actual_hours NUMBER := 0;
g_h_r_est_hours_etc NUMBER := 0;
g_h_s_est_hours NUMBER := 0;
g_h_s_est_actual_hours NUMBER := 0;
g_h_s_est_hours_etc NUMBER := 0;

g_h_w_est_budget NUMBER := 0;
g_h_w_r_est_budget NUMBER := 0;
g_h_w_s_est_budget NUMBER := 0;
g_h_w_est_actual NUMBER := 0;
g_h_w_r_est_actual NUMBER := 0;
g_h_w_s_est_actual NUMBER := 0;
g_h_w_est_etc NUMBER := 0;
g_h_w_r_est_etc NUMBER := 0;
g_h_w_s_est_etc NUMBER := 0;
g_h_w_est_hours NUMBER := 0;
g_h_w_r_est_hours NUMBER := 0;
g_h_w_est_actual_hours NUMBER := 0;
g_h_w_r_est_actual_hours NUMBER := 0;
g_h_w_est_hours_etc NUMBER := 0;
g_h_w_r_est_hours_etc NUMBER := 0;
g_h_w_est_total NUMBER := 0;
g_h_w_r_est_total NUMBER := 0;
g_h_w_s_est_total NUMBER := 0;

g_h_today_start VARCHAR2(26);
g_h_today_finish VARCHAR2(26);

g_h_t_SD PLS_INTEGER := 0;
g_h_t_FD PLS_INTEGER := 0;
g_h_t_start_dt VARCHAR2(26);
g_h_t_finish_dt VARCHAR2(26);
g_h_t_duration PLS_INTEGER := 0;
g_h_t_actual_start VARCHAR2(26);
g_h_t_actual_finish VARCHAR2(26);
g_h_t_actual_duration PLS_INTEGER := 0;
g_h_t_sched_start VARCHAR2(26);
g_h_t_sched_finish VARCHAR2(26);
g_h_t_sched_duration PLS_INTEGER := 0;
g_h_t_planned_start VARCHAR2(26);
g_h_t_planned_finish VARCHAR2(26);
g_h_t_planned_duration PLS_INTEGER := 0;
g_h_t_forecast_start VARCHAR2(26);
g_h_t_forecast_finish VARCHAR2(26);
g_h_t_forecast_duration PLS_INTEGER := 0;
g_h_t_forecast_effort PLS_INTEGER := 0;
g_h_t_proposed_start VARCHAR2(26);
g_h_t_proposed_finish VARCHAR2(26);
g_h_t_proposed_duration PLS_INTEGER := 0;
g_h_t_unresolved_start VARCHAR2(26);
g_h_t_unresolved_finish VARCHAR2(26);
g_h_t_unresolved_duration PLS_INTEGER := 0;
g_h_t_baseline_start VARCHAR2(26);
g_h_t_baseline_finish VARCHAR2(26);
g_h_t_baseline_duration PLS_INTEGER := 0;
g_h_t_baseline_effort PLS_INTEGER := 0;
g_h_t_billable PLS_INTEGER := 0;
g_h_t_work_total PLS_INTEGER := 0;
g_h_t_regular_cost NUMBER := 0;
g_h_t_regular_rate NUMBER := 0;
g_h_t_actual_cost NUMBER := 0;
g_h_t_actual_revenue NUMBER := 0;
g_h_t_actual_saving NUMBER := 0;
g_h_t_sched_cost NUMBER := 0;
g_h_t_sched_revenue NUMBER := 0;
g_h_t_sched_saving NUMBER := 0;
g_h_t_planned_cost NUMBER := 0;
g_h_t_planned_revenue NUMBER := 0;
g_h_t_planned_saving NUMBER := 0;
g_h_t_proposed_cost NUMBER := 0;
g_h_t_proposed_revenue NUMBER := 0;
g_h_t_proposed_saving NUMBER := 0;
g_h_t_forecast_cost NUMBER := 0;
g_h_t_forecast_revenue NUMBER := 0;
g_h_t_forecast_saving NUMBER := 0;

g_h_t_baseline_work_total PLS_INTEGER := 0;
g_h_t_baseline_cost NUMBER := 0;
g_h_t_baseline_revenue NUMBER := 0;
g_h_t_baseline_saving NUMBER := 0;
g_h_t_ev_etc NUMBER := 0;
g_h_t_baseline_regular_cost NUMBER := 0;
g_h_t_etc PLS_INTEGER := 0;
g_h_t_bac NUMBER := 0;
g_h_t_eac NUMBER := 0;
g_h_t_eac_forecast NUMBER := 0;
g_h_t_ev_etc_forecast NUMBER := 0;
g_h_t_bcws NUMBER := 0;
g_h_t_bcwp NUMBER := 0;
g_h_t_acwp NUMBER := 0;

g_h_t_regular_total PLS_INTEGER := 0;
g_h_t_special_total PLS_INTEGER := 0;
g_h_t_billable_regular_total PLS_INTEGER := 0;
g_h_t_billable_special_total PLS_INTEGER := 0;
g_h_t_sched_effort PLS_INTEGER := 0;
g_h_t_planned_effort PLS_INTEGER := 0;
g_h_t_proposed_effort PLS_INTEGER := 0;
g_h_t_milestone_percent PLS_INTEGER := 0;
g_h_t_work_percent PLS_INTEGER := 0;
g_h_t_rollup_bit PLS_INTEGER := 0;

g_h_temp_dt VARCHAR2(26);

g_h_temp_sc_state PLS_INTEGER := 0;
g_h_global_state PLS_INTEGER := 0;
g_h_temp_var PLS_INTEGER := 0;
g_h_temp_var2 PLS_INTEGER := 0;
g_h_table_type PLS_INTEGER := 0;

g_h_db2_sucks PLS_INTEGER := 0;
g_h_commit_count PLS_INTEGER := 0;
g_h_project_count PLS_INTEGER := 0;
g_h_currency_count PLS_INTEGER := 0;
g_h_exchange_rate NUMBER := 0;

g_h_est_prob_amount_sum NUMBER := 0;
g_h_est_sum NUMBER := 0;
g_h_est_actual_sum NUMBER := 0;
g_h_est_etc_sum NUMBER := 0;
g_h_est_paid_todate_sum NUMBER := 0;
g_h_r_est_prob_amount_sum NUMBER := 0;
g_h_r_est_sum NUMBER := 0;
g_h_r_est_actual_sum NUMBER := 0;
g_h_r_est_etc_sum NUMBER := 0;
g_h_r_est_paid_todate_sum NUMBER := 0;
g_h_s_est_prob_amount_sum NUMBER := 0;
g_h_s_est_sum NUMBER := 0;
g_h_s_est_actual_sum NUMBER := 0;
g_h_s_est_etc_sum NUMBER := 0;
g_h_s_est_paid_todate_sum NUMBER := 0;
g_h_contingency_sum NUMBER := 0;
g_h_contingency_etc_sum NUMBER := 0;
g_h_r_contingency_sum NUMBER := 0;
g_h_r_contingency_etc_sum NUMBER := 0;
g_h_s_contingency_sum NUMBER := 0;
g_h_s_contingency_etc_sum NUMBER := 0;

g_h_rollup_project_est PLS_INTEGER := 0;
g_h_rollup_deliverable_est PLS_INTEGER := 0;

g_h_project_fs_code VARCHAR2(50);
g_h_fs_code VARCHAR2(50);
g_h_fs_labor_code VARCHAR2(50);
g_h_fs_state PLS_INTEGER := 0;

g_h_sched_work PLS_INTEGER := 0;
g_h_task_type PLS_INTEGER := 0;

g_h_assignment_delay PLS_INTEGER := 0;
g_h_unchanged_delay PLS_INTEGER := 0;
g_h_changed_delay PLS_INTEGER := 0;
g_h_changed_unresolved_start VARCHAR2(26);
g_h_unchanged_unresolved_start VARCHAR2(26);
g_h_resource_type VARCHAR2(1);

g_h_security_id VARCHAR2(32);
g_h_participant PLS_INTEGER := 0;
g_h_element_type_bits PLS_INTEGER := 0;

g_h_proc_start_dt VARCHAR2(26);

g_h_alert_id VARCHAR2(32);
g_h_asset_id VARCHAR2(32);

g_h_isFirst PLS_INTEGER;
g_h_isLoaded PLS_INTEGER;
g_h_isSameParent PLS_INTEGER;
g_h_hasParticipant PLS_INTEGER;
PROCEDURE Clear;

END;
/


