-- CPLAN TEMPORARY TABLE INDEXES

DROP   INDEX PMO_TMP_CPLN_0005_ID1; 
CREATE INDEX PMO_TMP_CPLN_0005_ID1 ON PMO_TMP_CPLN_0005 (RES_ID ASC); 

DROP   INDEX PMO_TMP_CPLN_0006_ID1; 
CREATE INDEX PMO_TMP_CPLN_0006_ID1 ON PMO_TMP_CPLN_0006 (RES_ID ASC); 

DROP   INDEX PMO_TMP_CPLN_0007_ID1; 
CREATE INDEX PMO_TMP_CPLN_0007_ID1 ON PMO_TMP_CPLN_0007 (RANK ASC); 

DROP   INDEX PMO_TMP_CPLN_007A_ID1; 
CREATE INDEX PMO_TMP_CPLN_007A_ID1 ON PMO_TMP_CPLN_007A (RANK ASC); 

DROP   INDEX PMO_TMP_CPLN_0003_ID1;   
CREATE INDEX PMO_TMP_CPLN_0003_ID1 ON PMO_TMP_CPLN_0003 (RESOURCE_ID ASC);   

DROP   INDEX PMO_TMP_CPLN_0002_ID1;  
CREATE INDEX PMO_TMP_CPLN_0002_ID1 ON PMO_TMP_CPLN_0002 (PROJECT_ASSIGNMENT_ID ASC);  

DROP INDEX PMO_TMP_CPLN_0001_ID1;          
CREATE INDEX PMO_TMP_CPLN_0001_ID1 ON PMO_TMP_CPLN_0001 (RESOURCE_ID ASC);          

DROP INDEX PMO_TMP_ASGNDRES_INFO_ID1; 
CREATE INDEX PMO_TMP_ASGNDRES_INFO_ID1 ON PMO_TMP_ASGNDRES_INFO (RESOURCE_ID ASC); 

DROP INDEX PMO_TMP_PROF_INFO_ID1; 
CREATE INDEX PMO_TMP_PROF_INFO_ID1 ON PMO_TMP_PROF_INFO (PROFILE_ID ASC); 

DROP INDEX PMO_TMP_RES_DATA_ID1;
CREATE INDEX PMO_TMP_RES_DATA_ID1 ON PMO_TMP_RES_DATA (RESOURCE_ID ASC);

DROP INDEX PMO_TMP_RES_SET_ID1;  
CREATE INDEX PMO_TMP_RES_SET_ID1 ON PMO_TMP_RES_SET (RESOURCE_ID ASC);  

DROP INDEX PMO_TMP_PRJ_INFO_ID1;
CREATE INDEX PMO_TMP_PRJ_INFO_ID1 ON PMO_TMP_PRJ_INFO (RESOURCE_ID ASC);

DROP INDEX PMO_TMP_RES_INFO_ID1;
CREATE INDEX PMO_TMP_RES_INFO_ID1 ON PMO_TMP_RES_INFO (RESOURCE_ID ASC);

DROP INDEX PMO_TMP_RTA_ID1;   
CREATE INDEX PMO_TMP_RTA_ID1 ON PMO_TMP_RTA (RESOURCE_ID ASC);   

DROP INDEX PMO_TMP_CP_PRJ_ID1; 
CREATE INDEX PMO_TMP_CP_PRJ_ID1 ON PMO_TMP_CP_PRJ (RESOURCE_ID ASC); 

DROP INDEX PMO_TMP_RESOURCE_DATA_ID1;  
CREATE INDEX PMO_TMP_RESOURCE_DATA_ID1 ON PMO_TMP_RESOURCE_DATA (RESOURCE_ID ASC);  

-- End of CPLAN Temporary Table Indexes 


-- CPLAN_FUN TEMPORARY TABLE INDEXES

DROP   INDEX PMO_TMP_RES_RATE_ID1; 
CREATE INDEX PMO_TMP_RES_RATE_ID1 ON PMO_TMP_RES_RATE (RES_ID ASC); 

DROP   INDEX PMO_TMP_TDY_ID1; 
CREATE INDEX PMO_TMP_TDY_ID1 ON PMO_TMP_TDY (DAY_YEAR ASC); 

DROP   INDEX PMO_TMP_CPLNF_0001_ID1; 
CREATE INDEX PMO_TMP_CPLNF_0001_ID1 ON PMO_TMP_CPLNF_0001 (DAY_YEAR ASC); 

DROP   INDEX PMO_TMP_SEARCH_ID1; 
CREATE INDEX PMO_TMP_SEARCH_ID1 ON PMO_TMP_SEARCH (RES_ID ASC); 

DROP INDEX PMO_TMP_CDY_ID1; 
CREATE INDEX PMO_TMP_CDY_ID1 ON PMO_TMP_CDY (DAY_YEAR ASC); 

DROP INDEX PMO_TMP_RES_ID1; 
CREATE INDEX PMO_TMP_RES_ID1 ON PMO_TMP_RES (YEAR_OF ASC,WEEK_OF ASC); 

DROP INDEX PMO_TMP_EVERY_ID1; 
CREATE INDEX PMO_TMP_EVERY_ID1 ON PMO_TMP_EVERY (YEAR_OF , MONTH_OF, WEEK_OF); 

DROP INDEX PMO_TMP_MD_ID1; 
CREATE INDEX PMO_TMP_MD_ID1 ON PMO_TMP_MD (YEAR_OF ASC,MONTH_OF ASC);