
-- **************************************************************************
-- PURPOSE:Migrate from 5.0.9.4 to 5.0.9.7
-- **************************************************************************
connect owner/ownerpass
set echo on
spool logs/step2.log

ALTER SESSION SET NLS_DATE_FORMAT='YYYY-MM-DD';

ALTER SESSION SET NLS_TIMESTAMP_FORMAT ='YYYY-MM-DD HH24:MI:SS.FF6';
COMMIT WORK;



ALTER TABLE TMT_SCORECARDS_DEF_AST ADD REPORT_FLAG NUMBER(5) DEFAULT 0;
ALTER TABLE TMT_SCORECARDS_DEF_CRI ADD REPORT_FLAG NUMBER(5) DEFAULT 0;
ALTER TABLE TMT_SCORECARDS_DEF_RES ADD REPORT_FLAG NUMBER(5) DEFAULT 0;
ALTER TABLE TMT_SCORECARDS_DEF_WBS ADD REPORT_FLAG NUMBER(5) DEFAULT 0;
ALTER TABLE TMT_ASSIGNED_SCORECARDS ADD REPORT_FLAG NUMBER(5) DEFAULT 0;
ALTER TABLE HISTORY_ASSIGNED_SCORECARDS ADD REPORT_FLAG NUMBER(5) DEFAULT 0;
ALTER TABLE TMT_PUBLISHED_SCORECARDS ADD REPORT_FLAG NUMBER(5) DEFAULT 0;
ALTER TABLE HISTORY_PUBLISHED_SCORECARDS ADD REPORT_FLAG NUMBER(5) DEFAULT 0;

UPDATE TMT_SETTINGS SET SETTING_VALUE = 481 , DESCRIPTION='5.0.9.7' WHERE ELEMENT_ID = 'APPLICATION_VERSION'; 
UPDATE TMT_SETTINGS SET ELEMENT_NAME = '6.4.4.570' WHERE ELEMENT_ID = 'CLIENT_BUILD_NUMBER'; 
COMMIT WORK;

--create triggers at this point and compile

@oraddl/Sequences.sql
@oraddl/triggers.sql
@utils/recompile
@utils/recompile

 
spool off;
exit;
